ExtLine2Point 属性 (ActiveX)
指定延长线 2 的原点。 支持的平台:仅限 Windows 属性值只读:不 类型:变体(双打的三元素阵列) 表示第二条延伸线原点的 3D 坐标。 言论对齐尺寸的尺寸线将平行于延伸线 1 和 2 的原点。 要标注尺寸的线 创建的维度 例子VBA: Sub Example_ExtLine2Point() ' This example creates an aligned dimension and then changes the ' ExtLine2Point property for that dimension. Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double Dim point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5#: point1(1) = 5#: point1(2) = 0# point2(0) = 10#: point2(1) = 5#: point2(2) = 0# location(0) = 5#: location(1) = 7#: location(2) = 0# ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ZoomAll MsgBox "The current value for ExtLine2Point is " & dimObj.ExtLine2Point(0) & ", " & dimObj.ExtLine2Point(1) & ", " & dimObj.ExtLine2Point(2), vbInformation, "ExtLine2Point Example" ' Change the endpoint of the second extension line point1(0) = 12: point1(1) = 5: point1(2) = 0 dimObj.ExtLine2Point = point1 dimObj.Update ' Return the endpoint of the second extension line ' Note that the return value is a Variant Dim retPoint As Variant retPoint = dimObj.ExtLine2Point MsgBox "The new value for ExtLine2Point is " & dimObj.ExtLine2Point(0) & ", " & dimObj.ExtLine2Point(1) & ", " & dimObj.ExtLine2Point(2), vbInformation, "ExtLine2Point Example" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_ExtLine2Point() ;; This example creates an aligned dimension and then changes the ;; ExtLine2Point property for that dimension. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 10 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) (vla-ZoomAll acadObj) (setq extLinePoint (vlax-safearray->list (vlax-variant-value (vla-get-ExtLine2Point dimObj)))) (alert (strcat "The current value for ExtLine2Point is " (rtos (nth 0 extLinePoint) 2) ", " (rtos (nth 1 extLinePoint) 2) ", " (rtos (nth 2 extLinePoint) 2))) ;; Change the endpoint of the second extension line (setq point2 (vlax-3d-point 12 5 0)) (vla-put-ExtLine2Point dimObj point2) (vla-Update dimObj) ;; Return the endpoint of the second extension line ;; Note that the return value is a Variant (setq retPnt (vlax-safearray->list (vlax-variant-value (vla-get-ExtLine2Point dimObj)))) (alert (strcat "The new value for ExtLine2Point is " (rtos (nth 0 retPnt) 2) ", " (rtos (nth 1 retPnt) 2) ", " (rtos (nth 2 retPnt) 2))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:30
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.